<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:27 CEST 2014 -->
<title>AbstractClientProxyChannel</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractClientProxyChannel";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractClientProxyChannel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../org/java_websocket/client/WebSocketClient.html" title="class in org.java_websocket.client"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/client/AbstractClientProxyChannel.html" target="_top">Frames</a></li>
<li><a href="AbstractClientProxyChannel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.client</div>
<h2 title="Class AbstractClientProxyChannel" class="title">Class AbstractClientProxyChannel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket">org.java_websocket.AbstractWrappedByteChannel</a></li>
<li>
<ul class="inheritance">
<li>org.java_websocket.client.AbstractClientProxyChannel</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.ByteChannel, java.nio.channels.Channel, java.nio.channels.ReadableByteChannel, java.nio.channels.WritableByteChannel, <a href="../../../org/java_websocket/WrappedByteChannel.html" title="interface in org.java_websocket">WrappedByteChannel</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">AbstractClientProxyChannel</span>
extends <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket">AbstractWrappedByteChannel</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.nio.ByteBuffer</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/client/AbstractClientProxyChannel.html#proxyHandshake">proxyHandshake</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/client/AbstractClientProxyChannel.html#AbstractClientProxyChannel(java.nio.channels.ByteChannel)">AbstractClientProxyChannel</a></strong>(java.nio.channels.ByteChannel&nbsp;towrap)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/client/AbstractClientProxyChannel.html#buildHandShake()">buildHandShake</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/client/AbstractClientProxyChannel.html#write(java.nio.ByteBuffer)">write</a></strong>(java.nio.ByteBuffer&nbsp;src)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.AbstractWrappedByteChannel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.<a href="../../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket">AbstractWrappedByteChannel</a></h3>
<code><a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#close()">close</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#isBlocking()">isBlocking</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#isNeedRead()">isNeedRead</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#isNeedWrite()">isNeedWrite</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#isOpen()">isOpen</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#read(java.nio.ByteBuffer)">read</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#readMore(java.nio.ByteBuffer)">readMore</a>, <a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#writeMore()">writeMore</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="proxyHandshake">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>proxyHandshake</h4>
<pre>protected final&nbsp;java.nio.ByteBuffer proxyHandshake</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractClientProxyChannel(java.nio.channels.ByteChannel)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractClientProxyChannel</h4>
<pre>public&nbsp;AbstractClientProxyChannel(java.nio.channels.ByteChannel&nbsp;towrap)</pre>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>towrap</code> - The channel to the proxy server</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="write(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;int&nbsp;write(java.nio.ByteBuffer&nbsp;src)
          throws java.io.IOException</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>write</code>&nbsp;in interface&nbsp;<code>java.nio.channels.WritableByteChannel</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/AbstractWrappedByteChannel.html#write(java.nio.ByteBuffer)">write</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/AbstractWrappedByteChannel.html" title="class in org.java_websocket">AbstractWrappedByteChannel</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="buildHandShake()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>buildHandShake</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;buildHandShake()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractClientProxyChannel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../org/java_websocket/client/WebSocketClient.html" title="class in org.java_websocket.client"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/client/AbstractClientProxyChannel.html" target="_top">Frames</a></li>
<li><a href="AbstractClientProxyChannel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
